Skip to main content
GET
/
api
/
v1
/
books
/
{bookId}
/
manifest
/
divina
Get book's WebPub manifest (DiViNa)
curl --request GET \
  --url https://demo.komga.org/api/v1/books/{bookId}/manifest/divina \
  --header 'Authorization: Basic <encoded-value>'
{
  "images": [
    {
      "properties": {},
      "height": 123,
      "href": "<string>",
      "rel": "<string>",
      "templated": true,
      "title": "<string>",
      "type": "<string>",
      "width": 123
    }
  ],
  "landmarks": [
    {
      "properties": {},
      "height": 123,
      "href": "<string>",
      "rel": "<string>",
      "templated": true,
      "title": "<string>",
      "type": "<string>",
      "width": 123
    }
  ],
  "links": [
    {
      "properties": {},
      "height": 123,
      "href": "<string>",
      "rel": "<string>",
      "templated": true,
      "title": "<string>",
      "type": "<string>",
      "width": 123
    }
  ],
  "metadata": {
    "artist": [
      "<string>"
    ],
    "author": [
      "<string>"
    ],
    "colorist": [
      "<string>"
    ],
    "contributor": [
      "<string>"
    ],
    "editor": [
      "<string>"
    ],
    "illustrator": [
      "<string>"
    ],
    "inker": [
      "<string>"
    ],
    "letterer": [
      "<string>"
    ],
    "penciler": [
      "<string>"
    ],
    "publisher": [
      "<string>"
    ],
    "rendition": {},
    "subject": [
      "<string>"
    ],
    "title": "<string>",
    "translator": [
      "<string>"
    ],
    "conformsTo": "<string>",
    "description": "<string>",
    "identifier": "<string>",
    "language": "<string>",
    "modified": "2023-11-07T05:31:56Z",
    "numberOfPages": 123,
    "published": "2023-12-25",
    "readingProgression": "rtl",
    "sortAs": "<string>",
    "subtitle": "<string>",
    "type": "<string>"
  },
  "pageList": [
    {
      "properties": {},
      "height": 123,
      "href": "<string>",
      "rel": "<string>",
      "templated": true,
      "title": "<string>",
      "type": "<string>",
      "width": 123
    }
  ],
  "readingOrder": [
    {
      "properties": {},
      "height": 123,
      "href": "<string>",
      "rel": "<string>",
      "templated": true,
      "title": "<string>",
      "type": "<string>",
      "width": 123
    }
  ],
  "resources": [
    {
      "properties": {},
      "height": 123,
      "href": "<string>",
      "rel": "<string>",
      "templated": true,
      "title": "<string>",
      "type": "<string>",
      "width": 123
    }
  ],
  "toc": [
    {
      "properties": {},
      "height": 123,
      "href": "<string>",
      "rel": "<string>",
      "templated": true,
      "title": "<string>",
      "type": "<string>",
      "width": 123
    }
  ],
  "context": "<string>"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

bookId
string
required

Response

OK

images
object[]
required
landmarks
object[]
required
metadata
object
required
pageList
object[]
required
readingOrder
object[]
required
resources
object[]
required
toc
object[]
required
context
string